vorta (0.11.2-1~mx25+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Sun, 04 Jan 2026 21:21:13 -0800

vorta (0.11.2-1) unstable; urgency=medium

  * New upstream release.
  * Rebase quilt series onto this release:
    - Drop 0008-no-python3-pkg-resources.patch, which is no longer required.

 -- Nicholas D Steeves <sten@debian.org>  Sat, 03 Jan 2026 21:36:39 -0500

vorta (0.10.3-1) unstable; urgency=medium

  * Team Upload
  * New upstream version 0.10.3
  * Do not generate a dependency on python3-pkg-resources (Closes: #1083985)

 -- Alexandre Detiste <tchet@debian.org>  Fri, 31 Jan 2025 14:17:08 +0100

vorta (0.10.1-1) unstable; urgency=medium

  * New upstream release.
  * Rebase patch queue onto this release:
    - Drop 0008-Fix-description-para-markup-invalid.patch

 -- Nicholas D Steeves <sten@debian.org>  Sun, 10 Nov 2024 19:23:33 -0500

vorta (0.10.0-1) unstable; urgency=medium

  * New upstream release (Closes: #1086524).
  * Rebase patch queue onto this release.
  * Install the application icon to system-wide XDG location rather than to
    the increasingly legacy /usr/share/pixmaps; this is also now Appstream
    best practices for icons.
  * Add 0008-Fix-description-para-markup-invalid.patch, which replaces the
    release section with a non-hypertext URL that indicates the upstream bug.
  * Upload to unstable.

 -- Nicholas D Steeves <sten@debian.org>  Sun, 10 Nov 2024 11:58:35 -0500

vorta (0.10.0~beta1-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Rebase patch queue onto this release.
  * Ignore Darwin-related network tests.

 -- Nicholas D Steeves <sten@debian.org>  Thu, 31 Oct 2024 17:46:05 -0400

vorta (0.9.1-2) unstable; urgency=medium

  * Add python3-setuptools to build-deps because upstream still uses it (see
    pyproject.toml), and because Python std lib drops setuptools in v3.12
    (Closes: #1080826).
  * Add dbus-daemon to autopkgtest deps because this dependency is no longer
    transitively fulfilled.
  * Declare Standards-Version: 4.7.0 (no changes required).
  * Update 0005-Skip-tests-that-require-fuse-kernel-module.patch so that
    the reason we skip some tests isn't truncated.
  * Add 0007-FIXME-skip-test_export_fail_unwritable.patch for now.  In the
    long-term this test should be patched to use a writeable scratch space
    during autopkgtests.

 -- Nicholas D Steeves <sten@debian.org>  Tue, 08 Oct 2024 14:31:12 -0400

vorta (0.9.1-1) unstable; urgency=medium

  * Team Upload
  * Remove obsolete dependency on 'mock', because upstream now uses
    'unittest.mock'.
  * Finish Qt6 migration

  [ Nicholas D Steeves ]
  * New upstream release.
  * Rebase quilt series onto this release, and drop
    0006-Loosen-platformdirs-dependency.patch, because patch contents already
    exist upstream (patch was merged).
  * Add 0006-Drop-info-that-has-confused-users.patch (drops misleading
    reference to incompatible installation instructions in README.md).

 -- Alexandre Detiste <tchet@debian.org>  Fri, 31 May 2024 12:44:34 +0200

vorta (0.9.1~beta2-1~exp1) experimental; urgency=medium

  * Update watch file to use api.github.com so that prereleases such as
    v0.9.1-beta2 will be detected by uscan.
  * Drop Files-Excluded, which should no longer be necessary, because a
    copyright review was conducted with upstream.
  * New upstream release.
  * Rebase patches onto this release, and drop all patches that were cherry
    picked from upstream.
  * Import updated upstream copyright statement.
  * Explicitly add python3-pyfuse3 and fuse3 to Build-Depends and autopkgtest
    control file (previously these dependencies were automatically fulfilled).
  * Renumber patches:
    debian/patches/0002-fix-desktop_file-path-in-tests.patch
    -> debian/patches/0001-fix-desktop_file-path-in-tests.patch
    debian/patches/0003-fix-generic-privacy-breach-in-appdata.patch
    -> debian/patches/0002-fix-generic-privacy-breach-in-appdata.patch
    debian/patches/0004-use-python3-in-Makefile.patch
    -> debian/patches/0003-use-python3-in-Makefile.patch
    debian/patches/0006-Migrate-to-Qt6-lrelease.patch
    -> debian/patches/0004-Migrate-to-Qt6-lrelease.patch
  * Add 0005-Skip-tests-that-require-fuse-kernel-module.patch
  * Import Stefano Rivera's 0006-Loosen-platformdirs-dependency.patch
    from the debian/master branch (which targets sid/unstable).

 -- Nicholas D Steeves <sten@debian.org>  Fri, 17 Nov 2023 17:59:16 -0500

vorta (0.9.0+dfsg-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Rebase quilt series onto this release:
    - Drop 0005-enable-colour-icon-in-notifications.patch, because
    notifications.py has disappeared, as has the use of
    "com.borgbase.Vorta-symbolic".  If notifications use monochrome rather
    than colour, then a new patch will need to be written.
  * Use debian/copyright's "Files-Excluded" function to exclude proprietary
    Font Awesome icons.
  * Update watch file to work with DFSG repacked upstream orig.tarball.
  * Cherry pick commits from upstream that provide DFSG-compatible icons:
    + 0005-Replace-Font-Awesome-icons-with-Fork-Awesome-and-oth.patch
    + 0007-Add-full-font-licenses-add-Google-icons-in-README.patch
  * Update copyright file with the licenses for the new DFSG-free icons.
  * gbp.conf: No longer manually set compression type.
  * Drop 0005-enable-colour-icon-in-notifications.patch, because
    notifications.py has disappeared, as has the use of
    "com.borgbase.Vorta-symbolic".  If notifications use monochrome rather
    than colour, then a new patch will need to be written.
  * Update dependendies: Migrate to Qt6, and drop Paramiko.
  * Migrate from pybuild's setuptools to pyproject.
  * Add 0006-Migrate-to-Qt6-lrelease.patch.
  * Migrate from qtchooser to qt6-l10n-tools.

 -- Nicholas D Steeves <sten@debian.org>  Mon, 26 Jun 2023 19:23:01 -0400

vorta (0.8.12-2) unstable; urgency=medium

  * Team upload.

  [ Nicholas D Steeves ]
  * Use debian/copyright's "Files-Excluded" function to exclude proprietary
    Font Awesome icons.
  * Update watch file to work with DFSG repacked upstream orig.tarball.
  * gbp.conf: No longer manually set compression type.

  [ Stefano Rivera ]
  * Patch: Loosen dependency on platformidrs.

 -- Stefano Rivera <stefanor@debian.org>  Tue, 14 Nov 2023 12:06:17 +0200

vorta (0.8.12-1) unstable; urgency=medium

  * Update my copyright years.
  * Update 0003-fix-generic-privacy-breach-in-appdata.patch to use new
    screenshots of Vorta 0.8.10 that I uploaded to screenshots.debian.net.
  * Drop installation of unused upstream-provided screenshot files.
  * New upstream release.
  * Rebase patch queue onto this release:
  * Drop 0001-disable-unused-pip.patch (no longer needed).
  * Migrate from appdirs to platformdirs.

 -- Nicholas D Steeves <sten@debian.org>  Sun, 11 Jun 2023 18:02:30 -0400

vorta (0.8.10-1) unstable; urgency=medium

  * New upstream release.
  * Rebase patch queue onto this release.
  * Drop source/include-binaries, which has not been needed since 0008-
    Update-translations-ensure-new-store-module-is-inclu.patch was
    dropped.
  * Declare Standards-Version: 4.6.2 (no changes required).

 -- Nicholas D Steeves <sten@debian.org>  Mon, 23 Jan 2023 15:06:42 -0500

vorta (0.8.9-1) unstable; urgency=medium

  * New upstream release.
  * gbp.conf: Specifify compression = gz, which is what upstream uses,
    and drop manual definition of compression-level; repacking should
    not occur, so compression-level is not needed.
  * Switch from "py3versions -r [--requested]" to the "py3versions
    --supported" method for getting a list all available supported Python
    versions.
  * Update lintian override for no-manual-page.

 -- Nicholas D Steeves <sten@debian.org>  Tue, 15 Nov 2022 16:15:36 -0500

vorta (0.8.7-1) unstable; urgency=medium

  * New upstream release.

 -- Nicholas D Steeves <sten@debian.org>  Fri, 17 Jun 2022 17:22:26 -0400

vorta (0.8.6-1) unstable; urgency=medium

  * New upstream release.
  * Rebase patch queue onto this release.

 -- Nicholas D Steeves <sten@debian.org>  Fri, 27 May 2022 19:45:41 -0400

vorta (0.8.4-1) unstable; urgency=medium

  * New upstream release.
  * Enable Vorta icon in DBus notification:
    + Add 0005-enable-colour-icon-in-notifications.patch
    + rules: Install icon to the expected location

 -- Nicholas D Steeves <sten@debian.org>  Mon, 09 May 2022 15:55:26 -0400

vorta (0.8.3-1) unstable; urgency=medium

  * New upstream release (Closes: #985424, #987073).
  * Rebase patch queue onto 0.8.3, and drop patches for all commits present
    in this release:
    0006-Create-missing-parents-of-autostart-folder.-See-930.patch
    0007-Close-SVG-files-after-reading.-By-hroncok-1135.patch
    0008-Update-translations-ensure-new-store-module-is-inclu.patch
    0009-Remove-unused-pytest-runner-dependency.-Fixes-1136-1.patch
    0010-Remove-unused-setuptools-git-dependency.patch
    0011-Minor-test-fixes-1150.patch from upstream
    0012-Add-Bastien-to-contributors-1148.patch
    0013-Shows-folder-sizes-in-diff-view.-By-skrap-1156.patch
    0014-Ignore-encoding-errors-in-Wifi-names-darwin-1158.patch
    0015-Distinguish-different-errors-in-case-borg-check-fail.patch
    0016-Remove-unnecessary-qtbot.wait-1172.patch
  * Renumber 3/4 of the remaining patches:
    0006-fix-desktop_file-path-in-tests.patch
      -> 0002-fix-desktop_file-path-in-tests.patch
    0008-fix-generic-privacy-breach-in-appdata.patch
      -> 0003-fix-generic-privacy-breach-in-appdata.patch
    0011-use-python3-in-Makefile.patch
      -> 0004-use-python3-in-Makefile.patch
  * tests/control: Drop python3-pytest-runner and python3-networkmanager
    Depends, and add openssh-client.  For further information, refer to the
    build-time unit test rationale provided in the 0.8.2-1 changelog entry.

 -- Nicholas D Steeves <sten@debian.org>  Tue, 08 Feb 2022 10:48:23 -0500

vorta (0.8.2-1) unstable; urgency=medium

  [ Nicholas D Steeves ]
  * New upstream release (Closes: #1001490, #1002088).
  * Rebase patch queue onto this release.
  * Drop Build-Depends that are no longer required: python3-apscheduler.
  * Cherry pick the following from upstream to simplify unit test debugging:
    0006-Create-missing-parents-of-autostart-folder.-See-930.patch
    0007-Close-SVG-files-after-reading.-By-hroncok-1135.patch
    0008-Update-translations-ensure-new-store-module-is-inclu.patch
    0009-Remove-unused-pytest-runner-dependency.-Fixes-1136-1.patch
    0010-Remove-unused-setuptools-git-dependency.patch
    0011-Minor-test-fixes-1150.patch from upstream
    0012-Add-Bastien-to-contributors-1148.patch
    0013-Shows-folder-sizes-in-diff-view.-By-skrap-1156.patch
    0014-Ignore-encoding-errors-in-Wifi-names-darwin-1158.patch
    0015-Distinguish-different-errors-in-case-borg-check-fail.patch
    0016-Remove-unnecessary-qtbot.wait-1172.patch
    This brings the Debian source to parity with upstream 4d399fe.
  * Add 0008-Update-translations-ensure-new-store-module-is-inclu.patch to
    include-binaries.
  * Update 0006-Create-missing-parents-of-autostart-folder.-See-930.patch to
    check if Vorta has been installed system-wide (eg: autopkgtests), and if
    not, load com.borgbase.Vorta.desktop from the upstream location; this
    solves FTBFS on buildd due to failing tests and prevents a regression in
    the autopkgtests.
  * rules: Set HOME to /tmp/home, and create it.
  * rules: Set XDG_RUNTIME_DIR to /tmp/run, and create it.
  * Drop 0007-disable-tests-that-depend-on-stable-PATH.patch, it is no longer
    needed!
  * Add libqt5svg5 to Build-Depends.  Without this lib 'test_archive_mount',
    which requires clickable elements, fails.
  * Add openssh-client to Recommends, so that network backup targets will
    work out of the box.
  * Declare Standards-Version: 4.6.0 (no changes required).

  [ Manuel Riel ]
  * Add explicit libqt5svg5 dependency to bin:vorta; this is needed for icons.
  * Drop Build-Depends that are no longer used by unit tests:
    python3-pytest-forked, python3-keyring, python3-networkmanager,
    python3-pyqt5.qsci.
  * Add back python3-pyqt5, which is no longer indirectly fulfilled by
    python3-pyqt5.qsci.
  * Also drop explicit bin:vorta deps on python3-pyqt5.qsci, and
    python3-secretstorage.

  [ Nicholas Steeves and Manuel Riel ]
  * Drop the following build deps (which are no longer necessary):
    python3-setuptools-git, python3-pytest-runner.
  * Add openssh-client to Build-Depends; this is needed for ssh key tests in
    'test_ssh_dialog'.
  * Add explicit build dep on dbus-daemon, because this transitive dependency
    breaks when python3-keyring and python3-networkmanager are removed.

 -- Nicholas D Steeves <sten@debian.org>  Wed, 26 Jan 2022 19:25:26 -0500

vorta (0.7.8-1) unstable; urgency=medium

  * New upstream release.

 -- Nicholas D Steeves <sten@debian.org>  Sun, 29 Aug 2021 09:20:40 -0400

vorta (0.7.7-1) unstable; urgency=medium

  * New upstream release.
  * Rebase patch queue onto this release.

 -- Nicholas D Steeves <sten@debian.org>  Wed, 18 Aug 2021 14:52:50 -0400

vorta (0.7.5-1) unstable; urgency=medium

  * New upstream release.
    af2d6a9  v0.7.5 Bump version to v0.7.5, update translations
    c66b102  Use json mode to list archive files. By @rblenis (#885)
    bd3c479  Add untranslated strings. By @samuel-w (#902)
    f7533b7  Disable codecov comments (#904)
    6d8ad90  Allow…fully disab[ling] the system keychain. (#898)
    - This commit also switches from PyQT mutexes and locks to the stdlib
      ones, finally solving CI failures on armhf.  This release shows 100%
      success over 10 runs of built-time tests on able.debian.org, and the
      same rate of success for formal DebCI on LXC on a virtualised armhf
      machine (Closes: #983265).
    - This commit also cleans up the tray applet, allowing the application to
      cleanly exit, thus solving the SIGSEGV (Closes: #978105).
    824707c  Fix issue with unassigned self.handle (#899)
  * Rebase patch queue onto this release:
    - Drop 0006-Fix-issue-with-unassigned-self.handle-899.patch
      (it's already part of this release).

 -- Nicholas D Steeves <sten@debian.org>  Fri, 05 Mar 2021 16:05:28 -0500

vorta (0.7.4-1) unstable; urgency=medium

  * New upstream release.
  * Cherry pick 0006-Fix-issue-with-unassigned-self.handle-899.patch from
    upstream (needed when kwallet is unavailable).

 -- Nicholas D Steeves <sten@debian.org>  Mon, 01 Mar 2021 07:05:21 -0500

vorta (0.7.3-1) unstable; urgency=medium

  * New upstream release.
  * Rebase patch queue onto 0.7.3.
  * Drop patches that are already part of this release:
    - 0002-Reduce-icon-memory-usage.-By-samuel-w-656.patch
    - 0003-Set-all-icons-to-same-height-660.patch
    - 0004-Set-application-name-666.patch
    - 0005-Properly-catch-DBusException.-By-samuel-w-670.patch
    - 0009-Add-valid-copyright-header-to-Johan-Rade-s-work.patch
  * Drop 0010-Increase-timeouts-for-all-self-tests.patch, which became no
    longer necessary as a result of upstream's stabilisation work.
  * Update my email address.
  * Adjust rules to install icon.svg from new upstream location.

 -- Nicholas D Steeves <sten@debian.org>  Thu, 18 Feb 2021 10:07:10 -0500

vorta (0.7.1-4) unstable; urgency=medium

  * Add forwarded header to 0010-Increase-timeouts-for-all-self-tests.patch
  * Make vorta backportable to buster (Closes: #979987)
    - Add qtchooser to build-deps because buster has both qt4 and qt5.
    - Explicitly export QT_SELECT=qt5 in rules.
    - Define python3-pyqt5 as the package that provides pyqt5 using
      py3dist-overrides.
    - Add 0011-use-python3-in-Makefile.path because dh-python and/or pytest
      in buster appears to require the following type of patch:
      python->python3, even when the Makefile isn't used at all.
    - Vorta requires python3-paramiko ≥ 2.6.0; this is implicitly fulfilled
      in bullseye, however it should be added to control for maximal
      correctness; this dep is fulfilled by the existing buster backport of
      Paramiko.
  * Create debian/clean, and cleanup all generated translations.
  * Enhance extend-diff-ignore to properly match egg-info files in a subdir,
    and additionally to match translations, to defend against the case where
    upstream begins to ship them pregenerated.  Thanks to Jessica Clarke for
    help with this, and for teaching an introduction to intermediate/advanced
    regexes!

 -- Nicholas D Steeves <nsteeves@gmail.com>  Sat, 16 Jan 2021 23:12:14 -0500

vorta (0.7.1-3) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Nicholas D Steeves ]
  * Minor enhancements to long description.
  * Add 0010-Increase-timeouts-for-all-self-tests.patch (Closes: #976134).

 -- Nicholas D Steeves <nsteeves@gmail.com>  Fri, 25 Dec 2020 17:26:40 -0500

vorta (0.7.1-2) unstable; urgency=medium

  * Do source only upload so the package can migrate to testing.
  * Enable superficial autopkgtests via "autopkgtest-pkg-python" in
    addition to the manually configured ones.
  * Declare Standards-Version: 4.5.1 (no changes required).

 -- Nicholas D Steeves <nsteeves@gmail.com>  Fri, 27 Nov 2020 13:31:34 -0500

vorta (0.7.1-1) unstable; urgency=medium

  * Initial release (Closes: #922961).

 -- Nicholas D Steeves <nsteeves@gmail.com>  Mon, 16 Nov 2020 15:20:37 -0500
